net.minecraft.client.gui

## Class GuiSlot

- java.lang.Object
- - net.minecraft.client.gui.GuiSlot

- Direct Known Subclasses:
    GuiListExtended

      public abstract class GuiSlot
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `bottom`
    `protected boolean` | `field_148163_i`
    `int` | `headerPadding`
    `int` | `height`
    `int` | `left`
    `protected int` | `mouseX`
    `protected int` | `mouseY`
    `int` | `right`
    `int` | `slotHeight`
    `int` | `top`
    `int` | `width`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiSlot(Minecraft par1Minecraft, int par2, int par3, int par4, int par5, int par6)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(GuiButton p_148147_1_)`
    `protected abstract void` | `drawBackground()`
    `protected void` | `drawContainerBackground(Tessellator tessellator)`
    `protected void` | `drawListHeader(int p_148129_1_, int p_148129_2_, Tessellator p_148129_3_)`
    `void` | `drawScreen(int p_148128_1_, int p_148128_2_, float p_148128_3_)`
    `protected void` | `drawSelectionBox(int p_148120_1_, int p_148120_2_, int p_148120_3_, int p_148120_4_)`
    `protected abstract void` | `drawSlot(int var1, int var2, int var3, int var4, Tessellator var5, int var6, int var7)`
    `protected abstract void` | `elementClicked(int var1, boolean var2, int var3, int var4)`
    `void` | `func_148122_a(int p_148122_1_, int p_148122_2_, int p_148122_3_, int p_148122_4_)`
    `int` | `func_148124_c(int p_148124_1_, int p_148124_2_)`
    `boolean` | `func_148125_i()`
    `protected void` | `func_148132_a(int p_148132_1_, int p_148132_2_)`
    `int` | `func_148135_f()`
    `boolean` | `func_148141_e(int p_148141_1_)`
    `protected void` | `func_148142_b(int p_148142_1_, int p_148142_2_)`
    `void` | `func_148143_b(boolean p_148143_1_)`
    `int` | `getAmountScrolled()`
    `protected int` | `getContentHeight()`
    `int` | `getListWidth()`
    `protected int` | `getScrollBarX()`
    `protected abstract int` | `getSize()`
    `int` | `getSlotHeight()`
    `protected abstract boolean` | `isSelected(int var1)`
    `void` | `registerScrollButtons(int p_148134_1_, int p_148134_2_)`
    `void` | `scrollBy(int p_148145_1_)`
    `protected void` | `setHasListHeader(boolean p_148133_1_, int p_148133_2_)`
    `void` | `setShowSelectionBox(boolean p_148130_1_)`
    `void` | `setSlotXBoundsFromLeft(int p_148140_1_)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### width

          public int width

    - #### height

          public int height

    - #### top

          public int top

    - #### bottom

          public int bottom

    - #### right

          public int right

    - #### left

          public int left

    - #### slotHeight

          public final int slotHeight

    - #### mouseX

          protected int mouseX

    - #### mouseY

          protected int mouseY

    - #### field_148163_i

          protected boolean field_148163_i

    - #### headerPadding

          public int headerPadding

  - ### Constructor Detail

    - #### GuiSlot

          public GuiSlot(Minecraft par1Minecraft,
                 int par2,
                 int par3,
                 int par4,
                 int par5,
                 int par6)

  - ### Method Detail

    - #### func_148122_a

          public void func_148122_a(int p_148122_1_,
                           int p_148122_2_,
                           int p_148122_3_,
                           int p_148122_4_)

    - #### setShowSelectionBox

          public void setShowSelectionBox(boolean p_148130_1_)

    - #### setHasListHeader

          protected void setHasListHeader(boolean p_148133_1_,
                              int p_148133_2_)

    - #### getSize

          protected abstract int getSize()

    - #### elementClicked

          protected abstract void elementClicked(int var1,
                            boolean var2,
                            int var3,
                            int var4)

    - #### isSelected

          protected abstract boolean isSelected(int var1)

    - #### getContentHeight

          protected int getContentHeight()

    - #### drawBackground

          protected abstract void drawBackground()

    - #### drawSlot

          protected abstract void drawSlot(int var1,
                      int var2,
                      int var3,
                      int var4,
                      Tessellator var5,
                      int var6,
                      int var7)

    - #### drawListHeader

          protected void drawListHeader(int p_148129_1_,
                            int p_148129_2_,
                            Tessellator p_148129_3_)

    - #### func_148132_a

          protected void func_148132_a(int p_148132_1_,
                           int p_148132_2_)

    - #### func_148142_b

          protected void func_148142_b(int p_148142_1_,
                           int p_148142_2_)

    - #### func_148124_c

          public int func_148124_c(int p_148124_1_,
                          int p_148124_2_)

    - #### registerScrollButtons

          public void registerScrollButtons(int p_148134_1_,
                                   int p_148134_2_)

    - #### func_148135_f

          public int func_148135_f()

    - #### getAmountScrolled

          public int getAmountScrolled()

    - #### func_148141_e

          public boolean func_148141_e(int p_148141_1_)

    - #### scrollBy

          public void scrollBy(int p_148145_1_)

    - #### actionPerformed

          public void actionPerformed(GuiButton p_148147_1_)

    - #### drawScreen

          public void drawScreen(int p_148128_1_,
                        int p_148128_2_,
                        float p_148128_3_)

    - #### func_148143_b

          public void func_148143_b(boolean p_148143_1_)

    - #### func_148125_i

          public boolean func_148125_i()

    - #### getListWidth

          public int getListWidth()

    - #### drawSelectionBox

          protected void drawSelectionBox(int p_148120_1_,
                              int p_148120_2_,
                              int p_148120_3_,
                              int p_148120_4_)

    - #### getScrollBarX

          protected int getScrollBarX()

    - #### setSlotXBoundsFromLeft

          public void setSlotXBoundsFromLeft(int p_148140_1_)

    - #### getSlotHeight

          public int getSlotHeight()

    - #### drawContainerBackground

          protected void drawContainerBackground(Tessellator tessellator)